*, html, body{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    background-color: maroon;
    background-image: url('./resource/background.jpg');
    background-size: contain;  
    background-color: #000;
    background-blend-mode: hard-light;
    overflow: hidden;
}

.container{
    height: 100vh;
    overflow-y: auto;
    width: 90%;
    margin: auto;
    padding-bottom: 10px;
    background-color: rgba(0,0,0,0.6);
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
}

#first-cont-child{
    width: 80%;
    margin: 10px 0px;
    display: flex;
    align-items: center;
    flex-direction: column;
    position: absolute;
}

.sub-container{
    padding-bottom: 10px;
}

#form-container{
    width: 100%;
    height: 100vh;
}

form{
    background-color: rgb(0,0,0,0.8);
    height: inherit;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-flow: column;
}

.input{
    background-color: #fff;
    margin: 10px 0px;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    padding: 10px;
    box-shadow: 3px 2px #999;
}

.input::-webkit-file-upload-button{
    display: none;
}

.input::before{
    content: 'Select file';
    color: black;
    padding: 5px 8px;
    outline: none;
    white-space: nowrap;
    cursor: pointer;
    text-shadow: 1px 1px #fff;
    font-weight: 700;
    font-size: 10pt;
}

.submit{
    padding: 10px 20px;
    background-color: orange;
    border: none;
    font-weight: bold;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    box-shadow: 2px 3px;
    border-radius: 5%;
    text-transform: uppercase;
}

.submit:hover{
    cursor: pointer;
    background-color: rgba(0,0,0,0.5);
    color: white;
    border: 1px solid orange;
    box-shadow: none;
}

#output{
    padding-top: 10px;
    width: 90%;
}

#addClearButton{
    display: none;
}

.btn{
    border: none;
    background-color: orange;
    font-family: 'Times New Roman', Times, serif;
    font-weight: bold;
    cursor: pointer;
    padding: 10px 20px;
    border-radius: 5%;
    transition: background-color 0.3s;
}

.btn:hover{
    transition: all 0.5s;
    background: transparent;
    background-color: #000;
    color: white;
    transition: background-color 0.3s;
}

.table{
    color: black;
    text-align: center;
    border: 1px solid black;
    width: 100%;
    font-family: 'Cascadia Code';
    background-color: rgb(223, 219, 219);
    border-collapse: collapse;
}

.table tr:nth-child(even){
    background-color: #fff;
}

.table tr:nth-child(odd){
    background-color: rgb(223, 219, 219);
}

.headRow{
    font-weight: bold;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
}

.table tr:first-child{
    background-color: #000;
    color: white;
}

td, th{
    border: 2px solid #999;
    padding: 10px;
}

@media only screen and (max-width: 900px){
    .container{
        width: 90%;
    }

    #output{
        width: 95%;
    }
}

@media only screen and (max-width: 768px){
    .container{
        width: 100%;
    }

    td,th{
        padding: 2px;
    }
}

